/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1       /* callback function: Panel_Close */
#define  PANEL_STATIC_PICT               2
#define  PANEL_RESSOURCE_STRING          3
#define  PANEL_CHANNEL_SELECT            4       /* callback function: ChannelSelect_IndexChanged */
#define  PANEL_DUT                       5
#define  PANEL_RX_BURST                  6
#define  PANEL_TX_BURST                  7
#define  PANEL_REC_LIST                  8
#define  PANEL_TABLE                     9
#define  PANEL_DECORATION                10
#define  PANEL_RECEIVER_TEXT             11
#define  PANEL_TRANSMITTER_TEXT          12
#define  PANEL_DECORATION_2              13
#define  PANEL_RUN                       14      /* callback function: Run_Click */
#define  PANEL_SCAN                      15      /* callback function: Scan_Click */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ChannelSelect_IndexChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Panel_Close(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Run_Click(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Scan_Click(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
